\documentclass[a4paper,12pt]{article}
%\usepackage[czech]{babel}
\usepackage[utf8]{inputenc}
\usepackage[IL2]{fontenc}
\usepackage[czech]{babel}
\usepackage{longtable}
\begin{document}
%\newfont\koharo{koharo}
\newcommand\koharo{\fontfamily{koh}\fontencoding{IL2}\selectfont}
\thispagestyle{empty}
%\vspace*{\vfil}
{\Huge
\newcommand{\charline}[2]{\koharo#1&#2\\\hline}
\begin{longtable}{|l@{ -- }l|}
\hline
\charline aA
\charline{á}{Á}
\charline bB
\charline cC
\charline{č}{Č}
\end{longtable}
} %\Huge
\end{document}
